Name:		rubber
Summary:	An automated system for building LaTeX documents
Version:	1.6.7
Release:	%mkrel 1
License:	GPLv2
Group:		Publishing
URL:		https://gitlab.com/latex-rubber/rubber
Source0:	https://gitlab.com/latex-rubber/rubber/-/archive/%{version}/%{name}-%{version}.tar.bz2
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	texinfo-tex

Requires:	tetex

%description
This is a building system for LaTeX documents. It is based on a routine that
runs just as many compilations as necessary. The module system provides a
great flexibility that virtually allows support for any package with no user
intervention, as well as pre- and post-processing of the document. The
standard modules currently provide support for bibtex, dvips, dvipdfm, pdftex,
makeindex. A good number of standard packages are supported, including
graphics/graphicx (with automatic conversion between various formats and
Metapost compilation).

%prep
%autosetup

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rubber

%find_lang %{name} --with-man --all-name

%files -f %{name}.lang -f %{pyproject_files}
%doc NEWS README.md
%license COPYING
%doc %{_docdir}/rubber/*
%{_bindir}/*
%{_datadir}/zsh/site-functions/_rubber
%{_mandir}/man1/*


%changelog
* Wed Jan 08 2025 daviddavid <daviddavid> 1.6.7-1.mga10
+ Revision: 2136148
- new version: 1.6.7

* Mon Jun 24 2024 daviddavid <daviddavid> 1.6.6-1.mga10
+ Revision: 2076517
- new version: 1.6.6
- switch to pyproject

* Tue Dec 19 2023 papoteur <papoteur> 1.5.1-7.mga10
+ Revision: 2019218
- Mass Rebuild - Python 3.12

* Mon Mar 21 2022 umeabot <umeabot> 1.5.1-6.mga9
+ Revision: 1816164
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 1.5.1-5.mga9
+ Revision: 1774600
- Rebuild for python-3.10

* Sat Mar 20 2021 tv <tv> 1.5.1-4.mga9
+ Revision: 1705565
- rebuild for python-3.9.2

* Thu Aug 20 2020 ovitters <ovitters> 1.5.1-3.mga8
+ Revision: 1616658
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Sun Feb 16 2020 umeabot <umeabot> 1.5.1-2.mga8
+ Revision: 1535077
- Mageia 8 Mass Rebuild

* Thu Oct 10 2019 daviddavid <daviddavid> 1.5.1-1.mga8
+ Revision: 1451145
- new version: 1.5.1

* Sat Sep 14 2019 tv <tv> 1.4-4.mga8
+ Revision: 1440575
- bump release so that we're newer than the core/release's build

* Mon Sep 02 2019 tv <tv> 1.4-3.mga8
+ Revision: 1436267
- switch to python3

* Fri Sep 21 2018 umeabot <umeabot> 1.4-2.mga7
+ Revision: 1290780
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 daviddavid <daviddavid> 1.4-1.mga7
+ Revision: 1221286
- new version: 1.4
- update URL and Source URL
+ kekepower <kekepower>
- Use modern macros

* Thu Feb 04 2016 umeabot <umeabot> 1.1-17.mga6
+ Revision: 935743
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1-16.mga5
+ Revision: 741114
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1-15.mga5
+ Revision: 730103
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1-14.mga5
+ Revision: 688734
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.1-12.mga4
+ Revision: 544522
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.1-11.mga4
+ Revision: 499842
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Apr 07 2013 luigiwalser <luigiwalser> 1.1-10.mga3
+ Revision: 408808
- rebuild to really fix mga#9055

* Sun Mar 17 2013 lmenut <lmenut> 1.1-9.mga3
+ Revision: 403612
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

* Mon Jan 14 2013 umeabot <umeabot> 1.1-8.mga3
+ Revision: 380574
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 17 2011 ovitters <ovitters> 1.1-7.mga2
+ Revision: 144355
- update license
- cleanup spec
- imported package rubber


* Mon Nov 01 2010 Funda Wang <fwang@mandriva.org> 1.1-7mdv2011.0
+ Revision: 591342
- rebuild for py 2.7

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.1-6mdv2010.0
+ Revision: 442768
- rebuild

* Tue Jan 06 2009 Funda Wang <fwang@mandriva.org> 1.1-5mdv2009.1
+ Revision: 326018
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.1-4mdv2009.0
+ Revision: 242567
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 27 2007 Funda Wang <fwang@mandriva.org> 1.1-2mdv2008.0
+ Revision: 71744
- fix file list on x86_64

  + Lenny Cartier <lenny@mandriva.org>
    - Rebuild for python
    - Import rubber



* Sun Mar 26 2006 Marc Lijour <mlijour@mandriva.com> 1.1-1mdk
- Update to version 1.1
- noarch works now

* Thu Dec 15 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.0-3mdk
- Don't build as noarch, since apparently python doesn't handle that

* Wed Dec 14 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-2mdk
- Fix BuildRequires

* Tue Dec 13 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.0-1mdk
- Initial MDV package
